NICOTINE-IMPORT-WINCONFIG(1)

NAME
nicotine-import-winconfig is a script to convert SoulSeek Windows client configuration file to the Nicotine format.

SYNOPSIS
nicotine-import-winconfig [options] <path_to_the_windows_soulseek_files>

DESCRIPTION
nicotine-import-winconfig will read the SoulSeek Windows client configuration file and will extract information like download queue, userlist, login information, list of autojoined chatrooms, list of banned users, user info/picture, and write them to $HOME/.nicotine/config, which is the default nicotine configuration file.

OPTIONS
If you don't want to import the whole configuration, you may consider using the command line flags below.

-q, --queue
    Import the download queue.

-u, --userlist
    Import the userlist.

-l, --login
    Import the login information.

-C, --chatrooms
    Import the list of autojoined chatrooms.

-b, --banned
    Import the list of banned users.

-i, --userinfo
    Import the userinfo and picture.

-h, --help
    Show help and exit.

-c <file>, --config=<file>
    Use <file> as Nicotine configuration file. If <file> do not exists a new empty configuration file will be created.

EXAMPLES
Import the SoulSeek Windows client configuration from /mnt/windows into the default nicotine configuration file :

Nicotine should be shut down before doing this.

nicotine-import-winconfig "/mnt/windows/Program Files/SoulSeek"

AUTHOR
This manual page was written by Adam Cecile <gandalf@le-vert.net> for the Nicotine+ project.
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation.

SEE ALSO
nicotine(1)